Subject: Re: [Lsr] WG Adoption Poll for “Using IS-IS Multi-Topology (MT) for Segment Routing based Virtual Transport Network” - draft-xie-lsr-isis-sr-vtn-mt-03

From: Qin Wu <[email-masked]>
Date: Wed, 3 Mar 2021 06:50:53 +0000

Hi,
I have read this draft and It is well written and I support adoption of this work.
Here are a few comments and suggestions:

1.       What is VTN resource, how do we define network resource, is the resource

a.       the label that is switched on the path of the LSP,

b.       is the resource physical resource assigned to LSP?

c.       Is the resource a measure of the capacity of a link that is dedicated for use by the traffic on the LSP.

d.       Is the resource referred to node or link in the network topology?

Would it be great to provide VTN resource definition in the terminology section,

In addition, I also recommend you to reference RFC8413 for resource definition.

2.       Section 2 said:

“

The MT-specific Link or Prefix TLVs are defined by

   adding additional two bytes, which includes 12-bit MT-ID field in

   front of the ISN TLV and IP or IPv6 Reachability TLVs.

”
Does this require protocol extension? Are these two bytes reserved fields?  Where MT-ID is defined? In which RFC?
Also ISN TLV, IP/Ipv6 Reachablity TLV, where these TLVS are defined? Please provide references.

-Qin Wu
发件人: Lsr [mailto:[email-masked]] 代表 Acee Lindem (acee)
发送时间: 2021年3月3日 7:28
收件人: [email-masked]
主题: [Lsr] WG Adoption Poll for “Using IS-IS Multi-Topology (MT) for Segment Routing based Virtual Transport Network” - draft-xie-lsr-isis-sr-vtn-mt-03

This information draft describes how MT could be used for VTN segmentation. The authors have asked for WG adoption.

This begins a three week LSR Working Group Adoption Poll for “Using IS-IS Multi-Topology (MT) for Segment Routing based Virtual Transport Network” - draft-xie-lsr-isis-sr-vtn-mt-03. I’m giving it three weeks due to the IETF next week. Please register your support or objection on this list prior to the end of the adoption poll on 3/24/2020.

Thanks,
Acee

---

From: "Chongfeng Xie" <[email-masked]>
Date: Thu, 4 Mar 2021 10:53:23 +0800

Hi, Qin,
 
Thanks a lot for your support. Please see some replies inline:

Chongfeng 

[email-masked]
 
发件人： Qin Wu
发送时间： 2021-03-03 14:50
收件人： Acee Lindem (acee); [email-masked]
主题： Re: [Lsr]WG Adoption Poll for “Using IS-IS Multi-Topology (MT) for Segment Routing based Virtual Transport Network” - draft-xie-lsr-isis-sr-vtn-mt-03
Hi,
I have read this draft and It is well written and I support adoption of this work.
Here are a few comments and suggestions:
1.       What is VTN resource, how do we define network resource, is the resource a.       the label that is switched on the path of the LSP, b.       is the resource physical resource assigned to LSP?c.       Is the resource a measure of the capacity of a link that is dedicated for use by the traffic on the LSP.d.       Is the resource referred to node or link in the network topology?Would it be great to provide VTN resource definition in the terminology section,[Chongfeng] The resource in this context is the forwarding resources (e.g. bandwidth and the associated buffer/queuing and scheduling resources). For detailed description about the resources allocated to VTN, please refer to draft-ietf-spring-resource-aware-segments and draft-ietf-spring-sr-for-enhanced-vpn.
In addition, I also recommend you to reference RFC8413 for resource definition. [Chongfeng] Thanks for the pointer, we will take a look at it.2.       Section 2 said:“The MT-specific Link or Prefix TLVs are defined by adding additional two bytes, which includes 12-bit MT-ID field in  front of the ISN TLV and IP or IPv6 Reachability TLVs.”
Does this require protocol extension? Are these two bytes reserved fields?  Where MT-ID is defined? In which RFC? Also ISN TLV, IP/Ipv6 Reachablity TLV, where these TLVS are defined? Please provide references.

[Chongfeng] As this is an informational draft, there is no new TLV defined. The MT-ID based TLVs are defined in RFC 5120. The ISN TLV and the IP Reachablity TLV is defined in RFC 5305, are the IPv6  Reachablity is defined in RFC 5308. We could add some references and pointers to make it clearer. 
 
-Qin Wu

 
Thanks,
Acee